Subject: bug#55842: 29.0.50; Using shorthand syntax in keymap-global-set

From: Arash Esbati <[email-masked]>
Date: Wed, 08 Jun 2022 11:48:04 +0200

Hi all,

I tried to switch from `global-set-key' to `keymap-global-set' and this
is my first observation: I can't use shorthand syntax.  To reproduce:

1. emacs -Q
2. In scratch, eval (key-valid-p "C-TAB") => t
3. In scratch, eval (keymap-global-set "C-TAB" #'other-window)
4. Try 'C-h k Ctrl-Tab' => C-<tab> is undefined
5. In scratch, eval (keymap-global-set "C-<tab>" #'other-window)
6. 'C-h k Ctrl-Tab' returns the expected result.

Am I missing something about shorthands?  Reading the docstring of
`key-valid-p', I thought the item 3. above should also work.  This is
Emacs from master 22d3f0e95a.

Best, Arash